Get Commits

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /commits
  • /:hash

Get a specific commit of a GIT artifact version

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

hashrequiredstring
The commit hash

Example: "9a1c3f2e8b7d6c5a4f3e2d1c0b9a8f7e6d5c4b3a"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
revisionstring
The full SHA hash of the commit
author_datestring
The date when the commit was authored
commit_datestring
The date when the commit was committed
short_revisionstring
The short SHA hash of the commit (first 7 characters)
messagestring
The commit message
committerMemberView
User/member reference
authorMemberView
User/member reference
parentsCommitIdView[]
The parent commits of this commit
branchesstring[]
The names of the branches containing the commit

Last modified on Nov 17, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/commits/:hash" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "revision": "9a1c3f2e8b7d6c5a4f3e2d1c0b9a8f7e6d5c4b3a",
  "short_revision": "9a1c3f2",
  "message": "Add build artifacts",
  "author_date": "2024-01-20T10:30:00Z",
  "commit_date": "2024-01-20T10:30:00Z",
  "author": {
    "url": "https://api.buddy.works/workspaces/ttests/members/1",
    "html_url": "https://app.buddy.works/ttests/-/profile/1",
    "id": 1,
    "name": "Jane Doe",
    "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png",
    "email": "jane@example.com",
    "admin": true,
    "workspace_owner": true
  },
  "committer": {
    "url": "https://api.buddy.works/workspaces/ttests/members/1",
    "html_url": "https://app.buddy.works/ttests/-/profile/1",
    "id": 1,
    "name": "Jane Doe",
    "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png",
    "email": "jane@example.com",
    "admin": true,
    "workspace_owner": true
  },
  "parents": [
    {
      "revision": "8f7e6d5c4b3a2f1e0d9c8b7a6f5e4d3c2b1a0f9e"
    }
  ],
  "branches": [
    "main"
  ]
}
STATUS
200 OK